package de.ozgcloud.archive.archivierung;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.apilib.client_attribute.OzgCloudAccessPermission;
import de.ozgcloud.apilib.client_attribute.OzgCloudBooleanClientAttribute;
import de.ozgcloud.apilib.client_attribute.OzgCloudBooleanClientAttribute.OzgCloudBooleanClientAttributeBuilder;
import de.ozgcloud.archive.common.callcontext.CallContextUserTestFactory;

public class OzgCloudBooleanClientAttributeTestFactory {

	private static final boolean VALUE = true;
	private static final String ATTRIBUTE_NAME = LoremIpsum.getInstance().getWords(1);
	private static final OzgCloudAccessPermission ACCESS = OzgCloudAccessPermission.READ_ONLY;
	private static final String CLIENT_NAME = CallContextUserTestFactory.CLIENT_NAME;

	public static OzgCloudBooleanClientAttribute create() {
		return createBuilder().build();
	}

	private static OzgCloudBooleanClientAttributeBuilder<?, ?> createBuilder() {
		return OzgCloudBooleanClientAttribute.builder()
				.clientName(CLIENT_NAME)
				.access(ACCESS)
				.attributeName(ATTRIBUTE_NAME)
				.value(VALUE);
	}

}
