package de.ozgcloud.archive.common.xta;

import jakarta.xml.bind.JAXBContext;
import jakarta.xml.bind.JAXBException;
import jakarta.xml.bind.Unmarshaller;

import org.w3c.dom.Document;

import de.xoev.xdomea.AbgabeImportBestaetigen0402;
import lombok.SneakyThrows;

public class AbgabeImportBestaetigen0402TestFactory {

	public static final String VORGANG_ID = "DummyVorgangId";
	public static final boolean ERFOLGREICH = false;
	public static final String FEHLERMELDUNG = "Grund, warum der Import nicht funktioniert hat.";

	public static final String FILE_PATH = "xml-templates/21b2f942-c454-44e6-a706-c4f6ef2d584a_Abgabe.ImportBestaetigen.0402.xml";

	@SneakyThrows
	public static AbgabeImportBestaetigen0402 create() {
		return (AbgabeImportBestaetigen0402) getUnmarshaller()
				.unmarshal(XtaFileTestFactory.create(AbgabeImportBestaetigen0402TestFactory.FILE_PATH).content().getInputStream());
	}

	private static Unmarshaller getUnmarshaller() throws JAXBException {
		return JAXBContext.newInstance(AbgabeImportBestaetigen0402.class).createUnmarshaller();
	}

	@SneakyThrows
	public static Document createAsDocument() {
		return DocumentTestFactory.createFrom(XtaFileTestFactory.create(AbgabeImportBestaetigen0402TestFactory.FILE_PATH));
	}
}