package de.ozgcloud.archive.quittung;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class QuittungSchedulerTest {

	@Spy
	@InjectMocks
	private QuittungScheduler scheduler;
	@Mock
	private QuittungService service;

	@Nested
	class TestOnStartup {

		@Test
		void shouldCallRun() {
			scheduler.onStartup();

			verify(scheduler).run();
		}
	}

	@Nested
	class TestRun {

		@Test
		void shouldCallService() {
			scheduler.run();

			verify(service).fetchQuittung();
		}
	}
}