package de.ozgcloud.archive.vorgang;

import jakarta.activation.DataHandler;
import jakarta.activation.DataSource;

import org.mockito.Mock;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.xta.client.model.XtaFile;
import de.ozgcloud.xta.client.model.XtaFile.XtaFileBuilder;
import lombok.SneakyThrows;

public class XdomeaXtaFileTestFactory {

	public static final String FILE_NAME = LoremIpsum.getInstance().getWords(1);

	@Mock
	public static DataSource DATA_SOURCE;

	public static final DataHandler DATA_HANDLER = new DataHandler(DATA_SOURCE);

	public static XtaFile create() {
		return createBuilder().build();
	}

	@SneakyThrows
	public static XtaFileBuilder createBuilder() {
		return XtaFile.builder()
				.content(DATA_HANDLER)
				.name(FILE_NAME)
				.contentType("application/zip");
	}
}
